package game

import (
	"fmt"
)

func (gm *Game) revealSource() {
	if err := gm.changeGamePhase(STATE_PLAY, PHASE_REVEAL_SHOW_COUNT, PHASE_REVEAL_SOURCE); err != nil {
		fmt.Println(err)
		return
	}

	gm.mu.Lock()
	for _, source := range gm.round.sources {
		gm.round.revelation.sources[source.id] = false
	}
	gm.round.revelation.sources["f17065b7-88e7-4777-bc48-15770a5b7c83"] = true
	// quote := gm.quotes[gm.round.quoteId]
	// gm.round.revelation.sources[quote.GetSourceId()] = true
	gm.mu.Unlock()

	gm.notifyClients()
}
